/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.Inventario;

import com.cosmodas.FacadeCosmos.daoAutoAjusteLocal;
import com.cosmodas.EntCosmos.DetalleAjuste;
import com.cosmodas.EntCosmos.DetalleAjustePK;
import com.cosmodas.EntCosmos.VAutoAjuste;
import java.awt.event.ActionEvent;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.ejb.EJB;
import javax.enterprise.context.SessionScoped;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.context.FacesContext;

/**
 *
 * @author obper
 */
@ManagedBean
@SessionScoped
public class bAsalida implements Serializable {

private String ajusteCodigo;
    @EJB
     daoAutoAjusteLocal daoS;
    
    public List<DetalleAjuste> getallList(){  
    return daoS.allD("01"); 
    }
    
    public List<DetalleAjuste> getEntradaAjustes(){  
    return daoS.salidas("01"); 
    }
    
    public List<DetalleAjuste> getSalidaAjuste(){  
    return daoS.salidas("01"); 
    }
    
        public void Asig(){
             
            DetalleAjustePK detpk = new DetalleAjustePK();
            DetalleAjuste det = new DetalleAjuste();            
            List<VAutoAjuste> detAj = new ArrayList<VAutoAjuste>();
            detAj = daoS.Vsalidas("01");
            ArrayList<DetalleAjuste> e = new ArrayList<>();
                        
            for(VAutoAjuste deta : detAj) {     
                        detpk.setAjusteCodigo(ajusteCodigo);
                        detpk.setProductoCodigo(deta.getProductoCodigo());
                        det.setDetalleAjustePK(detpk);
                        det.setDetalleAjusteCantidad(deta.getDetalleAjusteCantidad());
                        det.setDetalleAjustePrecio(deta.getDetalleAjustePrecio());
                        det.setDetalleAjusteTipo(deta.getDetalleAjusteTipo());
                        System.out.println(det);
                        daoS.addDetalleAjuste(det);   
            }     
    }
        
         public void detalleAdd(ActionEvent actionEvent) {
        addMessage("Ajuste Aplicado");
        Asig();
    }
     
     
       public void addMessage(String summary) {
        FacesMessage message = new FacesMessage(FacesMessage.SEVERITY_INFO, summary,  null);
        FacesContext.getCurrentInstance().addMessage(null, message);
    }
    public bAsalida() {
    }
    
}
